#include <iostream>

int main(){
  int n, h, l;
  bool prepreka = false;
  int rezultat = -1;
  std::cin >> n >> l;
  for(int i = 1; i <= n; i++){
    std::cin >> h;
    if(h <= l && !prepreka){
      rezultat = i;
      prepreka = true;
    }
  }
  std::cout << rezultat << std::endl;
  return 0;
}